petsc-3.12.1 2019-10-22
Report Typos and Errors

# KSPGuess

Abstract PETSc object that manages all initial guess methods in Krylov methods.

### Synopsis

    typedef struct _p_KSPGuess* KSPGuess;

### See Also

KSPCreate(), KSPSetGuessType(), KSPGuessType

### Level

beginner

### Location

src/ksp/ksp/guess/../../../../include/petscksp.h

### Implementations

_p_KSPGuess in include/petsc/private/kspimpl.h
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages